package com.ff.base.enums;

import lombok.Getter;

/**
 * 通知类型
 *
 * @author shi
 * @date 2024/11/21
 */
@Getter
public enum NoticeType {
    MESSAGE(1, "消息通知"),
    MARQUEE(2, "跑马灯通知"),
    NOTICE(3, "公告通知"),
    BANNER(4, "banner图"),
    LOAD(5, "加载页"),
    FRAME(6, "大厅弹框")
    ;

    private final Integer code;
    private final String description;

    NoticeType(Integer code, String description) {
        this.code = code;
        this.description = description;
    }
}